use <Slider_back.scad>;
use <helpers/Holes.scad>;
use <ZSlider_holder.scad>;

$fn=75;

module roundcube(x,y,z,rad=5) {
    hull() {
        translate([rad,rad,0]) cylinder(r=rad,h=z);
        translate([x-rad,rad,0]) cylinder(r=rad,h=z);
        translate([x-rad,y-rad,0]) cylinder(r=rad,h=z);
        translate([rad,y-rad,0]) cylinder(r=rad,h=z);
    }
    
}

module body() {
    difference(){
        translate([0,0,-9]) roundcube(49,49,9 + 10 + 18);
        translate([4.5,0,10]) cube([40.3,49,19]);
        translate([0,4.5,-9]) cube([49,40.3,9]);
    }
    
}

body();